# Get profiles Get a set of profiles Endpoint: GET /profiles Version: 1.0 Security: get-bearer-token-using-oauth2 ## Query parameters: - `limit` (integer) limit the number of records returned - `skip` (integer) skip a number of records before returning (for paging) - `include` (array) include related resources in the response ## Response 200 fields (application/json): - `id` (string) Identifier of an existing profile containing search criteria. - `first_name` (string) The first name of the person. - `middle_name` (string) The middle name of the person. Can be null if not provided. - `last_name` (string) The last name of the person. - `dob` (string) Date of birth in the form YYYYMMDD. Must be a valid date and cannot be in the future. If invalid, the API returns a 400 with a validation_error pointing to /dob. Example: "19950401" - `phone` (string) A phone number in the form +[country code][number including area code]. (E.164 format) - `email` (string) An email address. - `ssn` (string) A US Social Security Number in XXX-XX-XXXX format. Hyphens are optional. - `address` (object) A physical address in the United States. - `address.street` (string, required) The street address, including house/building number and street name. Apartment/unit numbers may be included but are not used for matching. Example: "123 Main St" - `address.city` (string, required) The name of the city or municipality. Example: "Frankfort" - `address.state` (string, required) The two-letter US state code where the address is located. - `address.zip_code` (string, required) The US postal ZIP code for the address. - `address.country` (string) The two-letter country code, typically "US" for United States addresses. - `custom_id` (string) An identifier of your choice, if you wish to use one. Limited to 64 alphanumeric characters, underscores, and hyphens. - `driver_license_state` (string) A two-letter US state code. - `driver_license_number` (string) The driver license number. Format dependent on State. Example: "D1234567" ## Response 400 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 401 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 500 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name"